| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::event_member Struct Reference

Represents a guild member/user who has registered interest in an event. More...

`#include <scheduled_event.h>`

Collaboration diagram for dpp::event_member:
[legend]

## Public Attributes

snowflake | guild_scheduled_event_id
| Event ID associated with.
dpp::guild_member | member
| Member details of user on the associated guild.
dpp::user | user
| User details of associated user.

## Detailed Description

Represents a guild member/user who has registered interest in an event.

## Member Data Documentation

## ◆ guild_scheduled_event_id

snowflake dpp::event_member::guild_scheduled_event_id

Event ID associated with.

## ◆ member

dpp::guild_member dpp::event_member::member

Member details of user on the associated guild.

## ◆ user

dpp::user dpp::event_member::user

User details of associated user.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0